#
# File: rsbac/adf/pm/Makefile
#
# Makefile for the Linux rsbac pm decision module.
#
# Author and (c) 1999-2001 Amon Ott
#

O_TARGET := pm.o
M_OBJS   :=

ifeq ($(PATCHLEVEL),2)

O_OBJS   := pm_syscalls.o
# decisions only in non-maint mode
ifneq ($(CONFIG_RSBAC_MAINT),y)
O_OBJS   += pm_main.o
endif

else

obj-y    := pm_syscalls.o
# decisions only in non-maint mode
ifneq ($(CONFIG_RSBAC_MAINT),y)
obj-y += pm_main.o
endif

endif

include $(TOPDIR)/Rules.make
